Here you go, please try it and let me know.
(defun c:Test (/ int sel ent )
;;----------------------------------------------------;;
;; Author : Tharwat Al Choufi ;;
;; website: https://autolispprograms.wordpress.com ;;
;;----------------------------------------------------;;
(and (princ "\nSelect arcs to create pivot lines to them : ")
(setq int -1 sel (ssget '((0 . "ARC"))))
(while (setq int (1+ int) ent (ssname sel int))
(entmake (list '(0 . "LINE")
(cons 10 (vlax-curve-getpointatdist ent (/ (vlax-curve-getdistatpoint ent (vlax-curve-getendpoint ent)) 2.0)))
(cons 11 (mapcar (function (lambda (j k) (/ (+ j k) 2.0)))
(vlax-curve-getstartpoint ent)
(vlax-curve-getendpoint ent)
)
)
)
)
)
)
(princ)
) (vl-load-com)